Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Protected Member Functions | Protected Attributes
tlp::WithDependency Class Reference
Plugins

Describes the dependencies of a plug-in on other plug-ins, identified by their name. This allows to have a plug-in inner workings depend on other plug-ins without linking them statically, or hoping depended plug-in will be there. More...

`#include <WithDependency.h>`

Inheritance diagram for tlp::WithDependency:
[legend]

List of all members.

## Public Member Functions

- std::list< Dependency > getDependencies ()
    Gets the list of Dependencies of this plug-in.
- template<typename Ty > void addDependency (const char *name, const char *release)
    Adds a dependency upon another plug-in. The parameters should be null-terminated strings, or NULL.

## Protected Member Functions

- void addDependency (const char *factory, const char *name, const char *release)
    Adds a dependency upon another plug-in.

## Protected Attributes

- std::list< Dependency > dependencies
    The inner list of dependencies.

## Detailed Description

Describes the dependencies of a plug-in on other plug-ins, identified by their name. This allows to have a plug-in inner workings depend on other plug-ins without linking them statically, or hoping depended plug-in will be there.

## Member Function Documentation

void tlp::WithDependency::addDependency | ( | const char * | factory,
|  | const char * | name,
|  | const char * | release
| ) |  | `[inline, protected]`

Adds a dependency upon another plug-in.

Parameters:

  factory | The type name of the plug-in (e.g. 'DoubleAlgorithm')
  name | The name of the plug-in, as registered in the Tulip plug-in system.
  release | The required version of the plug-in.

template<typename Ty >

void tlp::WithDependency::addDependency | ( | const char * | name,
|  | const char * | release
| ) |  | `[inline]`

Adds a dependency upon another plug-in. The parameters should be null-terminated strings, or NULL.

Parameters:

  name | The name of the plug-in, as registered in the Tulip plug-in system.
  release | The required version of the plug-in.

std::list<Dependency> tlp::WithDependency::getDependencies | ( |  | ) | `[inline]`

Gets the list of Dependencies of this plug-in.

Returns:
  list<Dependency> The list of dependencies of this plug-in.

## Member Data Documentation

std::list<Dependency> tlp::WithDependency::dependencies`[protected]`

The inner list of dependencies.

Tulip Software by LaBRI Visualization Team 2001 - 2012